### Method

# Gtk CellRendererstart_editing

deprecated: 4.10

#### Declaration [src]

    GtkCellEditable*
    gtk_cell_renderer_start_editing (
      GtkCellRenderer* cell,
      GdkEvent* event,
      GtkWidget* widget,
      const char* path,
      const GdkRectangle* background_area,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Starts editing the contents of this `cell`, through a new `GtkCellEditable` widget created by the `GtkCellRenderer`Class.start_editing virtual function.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`event`

  Type: `GdkEvent`

  A `GdkEvent`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`widget`

  Type: `GtkWidget`

  Widget that received the event.

  The data is owned by the caller of the method.

`path`

  Type: `const char*`

  Widget-dependent string representation of the event location; e.g. for `GtkTreeView`, a string representation of `GtkTreePath`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`background_area`

  Type: `GdkRectangle`

  Background area as passed to `gtk_cell_renderer_render()`

  The data is owned by the caller of the method.

`cell_area`

  Type: `GdkRectangle`

  Cell area as passed to `gtk_cell_renderer_render()`

  The data is owned by the caller of the method.

`flags`

  Type: `GtkCellRendererState`

  Render flags.

#### Return value

Type: `GtkCellEditable`

A new `GtkCellEditable` for editing this `cell`, or `NULL` if editing is not possible.

The data is owned by the instance.
The return value can be `NULL`.